# Generated by Django 3.2.12 on 2022-03-03 22:33

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Athlete',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('remote_id', models.CharField(max_length=100, unique=True)),
                ('first_name', models.CharField(max_length=50)),
                ('last_name', models.CharField(max_length=50)),
                ('birthdate', models.DateField()),
                ('phone', models.CharField(max_length=20)),
                ('email', models.EmailField(max_length=254)),
            ],
            options={
                'verbose_name': 'Athlete',
                'verbose_name_plural': 'Athletes',
                'ordering': ['id'],
            },
        ),
        migrations.CreateModel(
            name='Category',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('remote_id', models.CharField(max_length=100, unique=True)),
                ('label', models.CharField(max_length=100)),
                ('price', models.FloatField(null=True)),
                ('va_price', models.FloatField(null=True)),
            ],
        ),
        migrations.CreateModel(
            name='Payment',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('command_reference', models.BigIntegerField(unique=True)),
                ('bank_reference', models.BigIntegerField(blank=True)),
                ('date', models.DateField(blank=True)),
                ('paid', models.FloatField()),
                ('first_name', models.CharField(max_length=50)),
                ('last_name', models.CharField(max_length=50)),
                ('email', models.EmailField(max_length=254)),
                ('category', models.CharField(max_length=50, null=True)),
                ('va', models.BooleanField(default=False)),
            ],
        ),
        migrations.CreateModel(
            name='ReloadEvent',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('date', models.DateTimeField(auto_now=True)),
            ],
        ),
        migrations.CreateModel(
            name='VA',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('number', models.CharField(max_length=20, null=True)),
                ('filename', models.CharField(max_length=100, null=True)),
                ('status', models.IntegerField(default=0)),
                ('athlete', models.OneToOneField(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='va', to='extender.athlete')),
            ],
        ),
        migrations.CreateModel(
            name='Team',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('remote_id', models.CharField(max_length=100, unique=True)),
                ('name', models.CharField(max_length=50)),
                ('category', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='teams', to='extender.category')),
            ],
        ),
        migrations.CreateModel(
            name='Certificate',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('filename', models.CharField(max_length=100, null=True)),
                ('status', models.IntegerField(default=0)),
                ('athlete', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, related_name='certificate', to='extender.athlete')),
            ],
        ),
        migrations.CreateModel(
            name='AthletePayment',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('status', models.IntegerField(default=0)),
                ('athlete', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='payment', to='extender.athlete')),
                ('payment', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='athlete', to='extender.payment')),
            ],
        ),
        migrations.AddField(
            model_name='athlete',
            name='team',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='athletes', to='extender.team'),
        ),
    ]
